## apt 1.9.4ubuntu0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -201,7 +201,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.9.4")
+set(PACKAGE_VERSION "1.9.4ubuntu0.1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)
