## apt 1.9.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 enable_testing()
 
 option(WITH_DOC "Build documentation." ON)
+option(WITH_TESTS "Build tests" ON)
 option(USE_NLS "Localisation support." ON)
 
 set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")
@@ -133,6 +134,8 @@
   set(HAVE_SECCOMP 1)
 endif()
 
+find_package(Gcrypt REQUIRED)
+
 # Mount()ing and stat()ing and friends
 check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
 check_include_files(sys/params.h HAVE_PARAMS_H)
@@ -201,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.9.4ubuntu0.1")
+set(PACKAGE_VERSION "1.9.10")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)
