## apt 2.0

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission (apt)
Version: 2.0
Date: 2010-11-03 (first); 2014-1-9 (last)
Author: Changyou Sun <csun@cfr.msstate.edu>
Maintainer: Changyou Sun <csun@cfr.msstate.edu>
Depends: R (>= 3.0.0), car, erer, urca
Description: This package focuses on asymmetric price transmission (APT) between two time series. It contains functions for linear and nonlinear threshold cointegration, and furthermore, symmetric and asymmetric error correction model.
License: GPL
LazyLoad: yes
Packaged: 2014-01-10 15:22:55 UTC; Edwin
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-01-10 17:27:02
