=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 Architecture: any
 Depends: adduser,
          gpgv | gpgv2 | gpgv1,
-         libapt-pkg5.90 (>= ${binary:Version}),
+         libapt-pkg6.0 (>= ${binary:Version}),
          ${apt:keyring},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -68,7 +68,7 @@
   * apt-config as an interface to the configuration settings
   * apt-key as an interface to manage authentication keys
 
-Package: libapt-pkg5.90
+Package: libapt-pkg6.0
 Architecture: any
 Multi-Arch: same
 Priority: optional
