=== debian/changelog ===
apt (2.0.2ubuntu0.2+10.0trisquel1) nabia-security; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 12 Dec 2020 01:31:53 +0000
